<?php
/*
Plugin Name: Flagtag 1.0
Plugin URI: http://wordpress.org/extend/plugins/flagtag/
Description: Spread the Feva! Add a World Cup supporters flag to your site. Go to <a href="options-general.php?page=flagtag">Settings->FlagTag</a> to configure your Flag.
Version: 1.0
Author: Jeffikus
Author URI: http://jeffikus.com
License: GPL2
*/

/*  Copyright 2010  Jeffikus  (email : jeffikus@jeffikus.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

//FlagTag Plugin Class
class FlagTag {
	//Constructor
	function FlagTag()
	{
		
	}
	//Init method
	function admin_init() 
	{
		update_option('flagtag_choice', 'flagtag-1');
	}
}

// Initiate the plugin
add_action("init", "FlagTagInit");
function FlagTagInit() { 
	global $flagtag; $flagtag = new FlagTag(); 
	add_action('admin_menu', 'flagtag_menu'); 
	add_action('wp_head','flagtag_header_code');
}

//Adds FlagTag Code to Frontend Header
function flagtag_header_code() {

	$country = get_option('flagtag_choice');
	if ($country == '') {
		$country = 'disabled';
	}
	//check if disabled
	if ($country != 'disabled') {
		echo '<script type="text/javascript" id="flagtag_script" src="http://flagtag.co.za/widget/flagtag.js?country='.$country.'"></script>';	
	}
}

//Adds Menu to Settings->FlagTag Options
function flagtag_menu() {
	add_options_page('FlagTag Options', 'FlagTag', 'manage_options', 'flagtag', 'flagtag_options');
}

//Flagtag Options page
function flagtag_options() {
	//Default Flags
	$flags = array( 'disabled' 		=> 'Disabled',
					'flagtag-1' 	=> 'South Africa - Beaded Flag',
					'flagtag-2' 	=> 'South Africa - Supporter',
					'flagtag-3' 	=> 'South Africa - Ruffled Flag',
					'flagtag-4' 	=> 'South Africa - Airplane Tail',
					'flagtag-5' 	=> 'South Africa - Jet',
					'flagtag-6' 	=> 'South Africa - Car',
					'south-africa'	=> 'South Africa',
					'mexico' 		=> 'Mexico',
					'uruguay' 		=> 'Uruguay',
					'france' 		=> 'France',
					'argentina' 	=> 'Argentina',
					'nigeria' 		=> 'Nigeria',
					'skorea' 		=> 'Korea Republic',
					'greece' 		=> 'Greece',
					'england' 		=> 'England',
					'usa' 			=> 'United States of America',
					'algeria' 		=> 'Algeria',
					'slovenia' 		=> 'Slovenia',
					'germany' 		=> 'Germany',
					'australia' 	=> 'Australia',
					'serbia' 		=> 'Serbia',
					'ghana' 		=> 'Ghana',
					'netherlands' 	=> 'Netherlands',
					'denmark' 		=> 'Denmark',
					'japan' 		=> 'Japan',
					'cameroon' 		=> 'Cameroon',
					'italy' 		=> 'Italy',
					'paraguay' 		=> 'Paraguay',
					'nz' 			=> 'New Zealand',
					'slovakia' 		=> 'Slovakia',
					'brazil' 		=> 'Brazil',
					'nkorea' 		=> 'Korea DPR',
					'ivory' 		=> 'Cote d\'Ivoire',
					'portugal' 		=> 'Portugal',
					'spain' 		=> 'Spain',
					'switzerland' 	=> 'Switzerland',
					'honduras' 		=> 'Honduras',
					'chile' 		=> 'Chile'					
					);
	
	//Check for permissions
	if (!current_user_can('manage_options'))  {
   		wp_die( _e('You do not have sufficient permissions to access this page.') );
	}
	//Check if default is set
	$default_flag = get_option('flagtag_choice');
	if ($default_flag == '') {
		update_option('flagtag_choice', 'disabled');
	}
	//The Options Form	
	?>
	<div class="wrap">
		<script type="text/javascript">
		jQuery(document).ready(function(){
		
			jQuery.noConflict();

			jQuery('#flagtag_choice').change(function() {
 				
 				var str = jQuery("#flagtag_choice option:selected").val();
 				if (str != 'disabled') {
 					switch (str)
					{
					case 'flagtag-1':
 						str = '1';
  						break;
					case 'flagtag-2':
  						str = '2';
  						break;
					case 'flagtag-3':
  						str = '3';
  						break;
					case 'flagtag-4':
 						str = '4';
  						break;
					case 'flagtag-5':
  						str = '5';
  						break;
					case 'flagtag-6':
  						str = '6';
  						break;
					default:
  						str = str;
					}
 					jQuery('#flag_img').attr('src', 'http://flagtag.co.za/images/flag/flagtag-' + str + '.png');
 				} else {
 					
 				}
          		
 			});
        
    	});
		</script>
		<h2><?php _e('FlagTag Options'); ?></h2>
		<?php 
		$ok = false;
		//Check if submit
		if ($_REQUEST['submit']) {
			if ($_REQUEST['flagtag_choice']) {
				update_option('flagtag_choice', $_REQUEST['flagtag_choice']);
				$ok = true;		
			}
			//Error messages
			if ($ok) {
				?>
				<div id="message" class="updated fade">
					<p><?php _e('Options saved'); ?>.</p>
				</div>
				<?php 
			} else {
				?>
				<div id="message" class="error fade">
					<p><?php _e('Failed to save options'); ?>.</p>
				</div>
				<?php 	
			}
		} 
		//The form
		$default_flag = get_option('flagtag_choice');
		?>
		<p>
			<form method="post">
				<label for="flagtag_choice"><?php _e('Choose a flag'); ?> : </label>
				<br />
				<select id="flagtag_choice" name="flagtag_choice">
					<?php 
					foreach ($flags as $key => $value) {
						if ($default_flag == $key) {
							$selected = 'selected="yes"';
						} else {
							$selected = '';
						}
						echo '<option value="'.$key.'" '.$selected.'>'.$value.'</option>';
					}
					?>
				</select>
				<input class="button button-highlighted button-highlighted" type="submit" name="submit" value="Save" />
				<br />
				<?php 
					switch ($default_flag)
					{
					case 'flagtag-1':
  						$default_flag = '1';
  						break;
					case 'flagtag-2':
  						$default_flag = '2';
  						break;
					case 'flagtag-3':
  						$default_flag = '3';
  						break;
  					case 'flagtag-4':
  						$default_flag = '4';
  						break;
  					case 'flagtag-5':
  						$default_flag = '5';
  						break;
  					case 'flagtag-6':
  						$default_flag = '6';
  						break;
					default:
  						$default_flag = $default_flag;
					}
				
				?>
				<label for="flag_img"><?php _e('Flag Preview'); ?> : </label><br /><img alt="The FlagTag is currently disabled." id="flag_img" src="http://flagtag.co.za/images/flag/flagtag-<?php echo $default_flag; ?>.png" />
			</form>
		</p>
		<p><?php _e('View all the flags here'); ?> : <a href="http://www.flagtag.co.za" target="_blank">FlagTag.co.za</a></p>
		<p><?php _e('Development by'); ?> : <a href="http://jeffikus.com" target="_blank">Jeffikus</a> <?php _e('for '); ?><a href="http://www.whitewallweb.com" target="_blank">White Wall Web</a></p>
	</div>
	<?php
}